/* KeyboardGLView */

#import <Cocoa/Cocoa.h>
#import <OpenGL/gl.h>
#import <OpenGL/glu.h>
#import <Keyboard.h>
#import <KeyboardLayout.h>

@interface KeyboardGLView : NSOpenGLView
{
	Keyboard *keyboard;
	KeyboardLayout *keyboardLayout;
}

- (void)awakeFromNib;
- (id) initWithCoder: (NSCoder *) coder;
- (void) drawRect: (NSRect) bounds;
- (void)drawKeyboard:(Keyboard *)keyboardToDraw layout:(KeyboardLayout *)keyboardLayoutToDraw;
@end
