/*
 *  hands.h
 *  Keymileage
 *
 *  Created by Allen Smith on Thu Feb 26 2004.
 *
 */

#include "finger.h"
#include "keyboard.h"
#include "keyboardLayout.h"

class Hands{
	
	private:
		Finger finger[10]; //array of fingers
		double distanceTyped;
		
		Keyboard *keyboard;
		KeyboardLayout *keyboardLayout;
		
	public:
		Hands(Keyboard *, KeyboardLayout *);
		double getDistance();
		Finger getFinger(int);
		float returnToHomeRow();
		void resetHands();
		float typeCharacter(unsigned char);
};